### Enumeration

# Gdk MemoryFormat

#### Declaration

    enum Gdk.MemoryFormat

#### Description [src]

`GdkMemoryFormat` describes a format that bytes can have in memory.

It describes formats by listing the contents of the memory passed to it. So GDK_MEMORY_A8R8G8B8 will be 1 byte (8 bits) of alpha, followed by a byte each of red, green and blue. It is not endian-dependent, so CAIRO_FORMAT_ARGB32 is represented by different `GdkMemoryFormats` on architectures with different endiannesses.

Its naming is modelled after VkFormat for details).

#### Members

Name | Description
--- | ---
`GDK_MEMORY_B8G8R8A8_PREMULTIPLIED` | 4 bytes; for blue, green, red, alpha. The color values are premultiplied with the alpha value.
`GDK_MEMORY_A8R8G8B8_PREMULTIPLIED` | 4 bytes; for alpha, red, green, blue. The color values are premultiplied with the alpha value.
`GDK_MEMORY_R8G8B8A8_PREMULTIPLIED` | 4 bytes; for red, green, blue, alpha The color values are premultiplied with the alpha value.
`GDK_MEMORY_B8G8R8A8` | 4 bytes; for blue, green, red, alpha.
`GDK_MEMORY_A8R8G8B8` | 4 bytes; for alpha, red, green, blue.
`GDK_MEMORY_R8G8B8A8` | 4 bytes; for red, green, blue, alpha.
`GDK_MEMORY_A8B8G8R8` | 4 bytes; for alpha, blue, green, red.
`GDK_MEMORY_R8G8B8` | 3 bytes; for red, green, blue. The data is opaque.
`GDK_MEMORY_B8G8R8` | 3 bytes; for blue, green, red. The data is opaque.
`GDK_MEMORY_N_FORMATS` | The number of formats. This value will change as more formats get added, so do not rely on its concrete integer.